Subject: af_xdp zero copy ideas

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 14 Nov 2018 03:10:04 -0500

So a I mentioned during the presentation for the af_xdp zero copy I
think it's pretty important to be able to close the device and get back
the affected memory. One way would be to unmap the DMA memory from
userspace and map in some other memory. It's tricky since you need
to also replace the mapping to the backing file which could be
hugetlbfs, tmpfs, just a file ...

HTH,

-- 
MST